Skip to main content
v1

post_v1_acp

POST /v1/acp/{server_id}: request parameters and responses.

POST /v1/acp/{server_id}

Parameters

NameInRequiredTypeDescription
server_idpathYesstringClient-defined ACP server id
agentqueryNostringAgent id required for first POST

Parameter schemas

[
  {
    "name": "server_id",
    "in": "path",
    "description": "Client-defined ACP server id",
    "required": true,
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "agent",
    "in": "query",
    "description": "Agent id required for first POST",
    "required": false,
    "schema": {
      "type": "string",
      "nullable": true
    }
  }
]

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/AcpEnvelope"
  }
}

Related schemas: AcpEnvelope.

Responses

200

JSON-RPC response envelope

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/AcpEnvelope"
  }
}

Related schemas: AcpEnvelope.

202

JSON-RPC notification accepted

400

Invalid ACP envelope

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

404

Unknown ACP server

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

406

Client does not accept JSON responses

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

ACP server bound to different agent

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

415

Unsupported media type

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

504

ACP agent process response timeout

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.